Go Back   TechArena Community > Software > Operating Systems
Become a Member!
Forgot your username/password?
Tags Active Topics RSS Search Mark Forums Read

Sponsored Links



Installing php-xmlrpc on CentOS 5.5

Operating Systems


Reply
 
Thread Tools Search this Thread
  #1  
Old 11-05-2011
Member
 
Join Date: Sep 2010
Posts: 35
Installing php-xmlrpc on CentOS 5.5
  

Hello everyone, I am facing one problem in installing php-xmlrpc. I am using CentOS 5.5 with 64bit version, as I am a web developer I am not able to install php on it. To install php-xmlrpc, I have downloaded the rpm, and also tried to install it. According me installation is perfect, but not able to install php. When I am trying to do that, it gives me below error.
Code:
# rpm -ivh php-xmlrpc-5.1.6-27.el5.i386.rpm 
error: Failed dependencies:
php-common = 5.1.6-27.el5 is needed by php-xmlrpc-5.1.6-27.el5.i386
Hope you all will help me with this matter? thank you !

Reply With Quote
  #2  
Old 11-05-2011
Member
 
Join Date: Nov 2009
Posts: 861
Re: Installing php-xmlrpc on CentOS 5.5

Hey man, not to worry. Sometime due to minor mistake this kind of thing happens, well I have seen for it and I have solution for you. Just uninstall it and install again and this time check for yum kernel, and also check for the below logs. This will help to you to solve your problem.

Code:
# yum install php-common.i386
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* addons: centos.mirror.xtratelecom.es
* base: centos.mirror.xtratelecom.es
* extras: centos.mirror.xtratelecom.es
* updates: ftp.free.fr
Setting up Install Process
Package matching php-common-5.1.6-27.el5_5.3.i386 already installed. Checking for update.
Nothing to do
Reply With Quote
  #3  
Old 11-05-2011
Member
 
Join Date: Apr 2009
Posts: 1,106
Re: Installing php-xmlrpc on CentOS 5.5

Hey I have gone through to your problem, and also I have searched for the logs on website. It might be possible that on your system version is set to 5.1.6-27.el5_5.3! = 5.1.6-27.el5, due to this php is asking for the latest update of the operating system. So as per my opinion you must try with updating operating system with the latest version or you must use yum install php-xmlrpc, because this the file which is giving you the error. So try with this step and try to solve your problem and if you find my idea is working for you then do reply to this post. Thank you and All the Best!
Reply With Quote
  #4  
Old 11-05-2011
Member
 
Join Date: Nov 2009
Posts: 787
Re: Installing php-xmlrpc on CentOS 5.5

Hi, I have also done some research on it and found the below mentioned log, which might will help you to come out of this:
Code:
# yum install php-xmlrpc
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * addons: centos.mirror.xtratelecom.es
 * base: centos.mirror.xtratelecom.es
 * extras: centos.mirror.xtratelecom.es
 * updates: ftp.free.fr
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-xmlrpc.i386 0:5.1.6-27.el5_5.3 set to be updated
--> Processing Dependency: php-common = 5.1.6-27.el5_5.3 for package: php-xmlrpc
--> Finished Dependency Resolution
php-xmlrpc-5.1.6-27.el5_5.3.i386 from updates has depsolving problems
  --> Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-xmlrpc-5.1.6-27.el5_5.3.i386 (updates)
Error: Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-xmlrpc-5.1.6-27.el5_5.3.i386 (updates)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
I hope this will solve your error, All the Best!
Reply With Quote
  #5  
Old 11-05-2011
Member
 
Join Date: May 2008
Posts: 991
Re: Installing php-xmlrpc on CentOS 5.5

Hello friends, I was having the same error on my system when I was trying to install php on it. After that I did some action on Pc and I got through to the problem, so it will also be helpful for you also. Some time such things happen due to cache of the system, so I just cleaned all file from yum, which may stuck the installer file. I just passed 1 command ?yum clean all?, it will clean your cache memory and after that reboot PC, I think this will help you to come out of this. I think it will me more than enough to come out of this, Enjoy the Web world.
Reply With Quote
  #6  
Old 12-05-2011
Member
 
Join Date: Sep 2010
Posts: 35
Re: Installing php-xmlrpc on CentOS 5.5

Hello everyone, I knew that you all will help me, I am very thankful of you all, as I have solved my problem. Cleaning of cache helped me but it was not on satisfactory level, as I was not able to use every feature it. Applying the entire log also didn?t worked for me, and then all of a sudden I came to know that it may be because of conflict between 32bit and 64bit. Because my system is 64bit and software which I am installing is of 32bit, after that I converted my system into 32bit as it was giving too much error in 64bit. Finally I have solved it, thanks a lot again to all who replied to my post.
Reply With Quote
Reply

  TechArena Community > Software > Operating Systems
Tags: , , , ,



Thread Tools Search this Thread
Search this Thread:

Advanced Search


Similar Threads for: "Installing php-xmlrpc on CentOS 5.5"
Thread Thread Starter Forum Replies Last Post
Installing CentOS 5.6 in Local Mirror Delightful. Operating Systems 5 05-05-2011 10:37 AM
CentOS 5.5 is crashing while installing Karunashankar Operating Systems 5 04-05-2011 10:42 AM
GRUB not loading after Installing Centos Buggers Operating Systems 6 02-05-2011 10:41 PM
Error in Installing centos 5.5 on DL380 g3 manhat Operating Systems 4 02-05-2011 07:30 AM
Error message While Installing CentOS Obessed Operating Systems 5 11-11-2010 11:29 PM


All times are GMT +5.5. The time now is 12:13 AM.